
Infrastructure - Bug #2612

systemMetadataChanged should be in MNAuthorization (Tier 2)

2012-04-17 02:54 - Matthew Jones

Status: Closed Start date: 2012-04-23

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Subtasks:

Task # 2637: update java interfaces and client implementations Closed

Task # 2638: fix api documentation so method is in MNAuthorization table Closed

Associated revisions

Revision 8495 - 2012-05-02 16:13 - Dave Vieglais

Moved MN systemMetadataChanged to MNAuthorization API. Closes #2612

Revision 8495 - 2012-05-02 16:13 - Dave Vieglais

Moved MN systemMetadataChanged to MNAuthorization API. Closes #2612

History

#1 - 2012-04-17 02:54 - Matthew Jones

- Position set to 1

- Position changed from 1 to 420

- Target version set to Sprint-2012.15-Block.2.4

- Position deleted (1)

#2 - 2012-04-17 02:57 - Matthew Jones

- Category set to Documentation

- Assignee set to Dave Vieglais

The current definition of systemMetadataChanged() is:

Tier 2  POST /dirtySystemMetadata   MNStorage.systemMetadataChanged()

However, this method is needed for access control changes, so it should be located in the MNAuthorization module:

Tier 2  POST /dirtySystemMetadata   MNAuthorization.systemMetadataChanged()

Making this change wil also resolve the discrepancy between saying it is both Tier 2 and MNStorage, which can't both be true.

#3 - 2012-04-23 17:51 - Dave Vieglais
- Target version changed from Sprint-2012.15-Block.2.4 to Sprint-2012.17-Block.3.1

- Position deleted (424)

- Position set to 1

- Position changed from 1 to 426

#4 - 2012-05-02 16:11 - Dave Vieglais

- Status changed from New to Closed
